[Fontconfig] fontconfig: Branch 'master' - 2 commits

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Thu Oct 25 07:22:52 UTC 2018


 src/fcdir.c      |    7 -------
 test/run-test.sh |   28 ++++++++++++++--------------
 2 files changed, 14 insertions(+), 21 deletions(-)

New commits:
commit e9113a764a1001165711022aceb45aa2765feb8b
Author: Akira TAGOH <akira at tagoh.org>
Date:   Thu Oct 25 07:16:32 2018 +0000

    Do not run a test case for .uuid deletion

diff --git a/test/run-test.sh b/test/run-test.sh
index e76e39b..ed41456 100644
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -239,19 +239,19 @@ fi
 
 rm -rf $MyPWD/sysroot
 
-dotest "deleting .uuid file on empty dir"
-prep
-cp $FONT1 $FONT2 $FONTDIR
-$FCCACHE $FONTDIR
-sleep 1
-rm -f $FONTDIR/*pcf
-$FCCACHE $FONTDIR
-rmdir $FONTDIR > /dev/null 2>&1
-if [ $? != 0 ]; then
-  echo "*** Test failed: $TEST"
-  echo "$FONTDIR isn't empty"
-  ls -al $FONTDIR
-  exit 1
-fi
+# dotest "deleting .uuid file on empty dir"
+# prep
+# cp $FONT1 $FONT2 $FONTDIR
+# $FCCACHE $FONTDIR
+# sleep 1
+# rm -f $FONTDIR/*pcf
+# $FCCACHE $FONTDIR
+# rmdir $FONTDIR > /dev/null 2>&1
+# if [ $? != 0 ]; then
+#   echo "*** Test failed: $TEST"
+#   echo "$FONTDIR isn't empty"
+#   ls -al $FONTDIR
+#   exit 1
+# fi
 
 rm -rf $FONTDIR $CACHEFILE $CACHEDIR $FONTCONFIG_FILE out
commit 5f12f564f8748deaa603adb7a4b8f616b6390ad4
Author: Keith Packard <keithp at keithp.com>
Date:   Wed Oct 17 21:15:47 2018 -0700

    Do not remove UUID file when a scanned directory is empty
    
    Because FcDirCacheDeleteUUID does not reset the modification time on
    the directory, and because FcDirCacheRead unconditionally creates the
    UUID file each time it is run, any empty directory in the cache will
    get its timestamp changed each time the cache for that directory is
    read.
    
    Instead, just leave the UUID file around as it is harmless.
    
    The alternative would be to only create the UUID file after the cache
    has been created and the directory has been discovered to be
    non-empty, but that would delay the creation of the UUID file.
    
    Signed-off-by: Keith Packard <keithp at keithp.com>

diff --git a/src/fcdir.c b/src/fcdir.c
index 93f220c..bfcdf95 100644
--- a/src/fcdir.c
+++ b/src/fcdir.c
@@ -421,13 +421,6 @@ FcDirCacheRead (const FcChar8 *dir, FcBool force, FcConfig *config)
     /* Not using existing cache file, construct new cache */
     if (!cache)
 	cache = FcDirCacheScan (dir, config);
-    if (cache)
-    {
-	FcFontSet *fs = FcCacheSet (cache);
-
-	if (cache->dirs_count == 0 && (!fs || fs->nfont == 0))
-	    FcDirCacheDeleteUUID (dir, config);
-    }
 
     return cache;
 }


More information about the Fontconfig mailing list